COL(1)

NOM
col - Éliminer les sauts de ligne arrière

SYNOPSIS
col [-bfpx] [-l num]

DESCRIPTION
col élimine les sauts (et demi-sauts) de ligne arrière de son entrée de sorte que les lignes de la sortie soient dans le bon ordre avec seulement des sauts et demi-sauts de ligne avant, et remplace les espaces par des tabulations partout où c'est possible. Ceci peut être utile pour traiter la sortie de nroff(1) et tbl(1). col lit sur son entrée standard et écrit sur sa sortie standard. Les options sont les suivantes :

-b  Ne pas émettre de caractère espace arrière (Ndt : backspace) et imprimer uniquement le dernier caractère écrit pour chaque colonne.

-f  Les demi-sauts de ligne avant sont autorisés (mode « fine »). Normalement, les caractères positionnés entre deux lignes sont imprimés sur la ligne suivante.

-p  Laisser inchangées les séquences de contrôle non reconnues.

-x  Émettre des espaces multiples au lieu de tabulations.

-lnum
    Stocke au moins num lignes en mémoire. Par défaut, 128 lignes sont stockées.

Les séquences de contrôle que col comprend et leurs équivalents en décimal sont décrits dans la table suivante :
ESC-7 | saut de ligne arrière (escape puis 7)
ESC-8 | demi-saut de ligne arrière (escape puis 8)
ESC-9 | demi-saut de ligne avant (escape puis 9)
backspace | recule d'une colonne (8) ; ignoré en première colonne
retour-chariot | (13)
newline | avance d'une ligne (10) ; effectue aussi un retour-chariot
shift in | passe au jeu de caractères normal (15)
shift out | passe au jeu de caractères auxiliaire (14)
espace | avance d'une colonne (32)
tabulation | avance au prochain taquet de tabulation (9)
vertical tab | saut de ligne arrière (11)

Tous les caractères de contrôle et séquences d'échappement non reconnus sont éliminés.

col tient à jour le jeu de caractères au fur et à mesure de la lecture de son entrée et fait en sorte que le jeu de caractères soit correct dans la sortie.

Si l'entrée tente de revenir en arrière sur la dernière ligne émise, col affiche un message d'avertissement.

VERSIONS

  Historique
Une commande col est apparue dans la version 6 de AT&T UNIX.

CONFORMITÉ
La commande col est conforme aux spécifications Single UNIX version 2. L'option -l est une extension.

DISPONIBILITÉ
La commande col fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
expand(1), nroff(1), tbl(1)

TRADUCTION
Ce document est une traduction réalisée par Michel Quercia <quercia AT cal DOT enst DOT fr> le 19 mai 1997 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 col ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.